<?php

namespace SuperRhino\Utils\SubTable;

interface DBManagerAdapterInterface {

    /**
     * Get a fluent query builder instance.
     *
     * @param  string  $table
     * @param  string|null  $connection
     */
    public static function table($table, $connection = null);

    /**
     * Get a schema builder instance.
     *
     * @param  string|null  $connection
     */
    public static function schema($connection = null);
}